ros-noetic-rospy (1.17.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 02 May 2025 00:00:00 -0000

ros-noetic-rospy (1.17.1-1focal) focal; urgency=high

  * wait_for_topic support topic remapping (#2159 <https://github.com/ros/ros_comm/issues/2159>)
  * support rosbag play --loop in rospy.Timer (#2257 <https://github.com/ros/ros_comm/issues/2257>)
  * Add bool return to _base_logger, log* functions (#2335 <https://github.com/ros/ros_comm/issues/2335>)
  * Contributors: Michael Görner, Owen Claxton, sean85914

 -- Michael Carroll <michael@openrobotics.org>  Sat, 26 Apr 2025 00:00:00 -0000

ros-noetic-rospy (1.17.0-1focal) focal; urgency=high

  * Stop using deprecated logger.warn (#2191 <https://github.com/ros/ros_comm/issues/2191>)
  * Expose is_shutdown_requested in rospy module. (#2267 <https://github.com/ros/ros_comm/issues/2267>)
  * Fix error "s is not defined" (#2328 <https://github.com/ros/ros_comm/issues/2328>)
  * Contributors: Guglielmo Gemignani, Michael Grupp, vineet131

 -- Michael Carroll <michael@openrobotics.org>  Fri, 13 Sep 2024 00:00:00 -0000

ros-noetic-rospy (1.16.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 00:00:00 -0000

ros-noetic-rospy (1.15.15-1focal) focal; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Add a workaround for a race condition while closing the socket (#2212 <https://github.com/ros/ros_comm/issues/2212>) (#2233 <https://github.com/ros/ros_comm/issues/2233>)
  * Contributors: Shane Loretz, Daniele Calisi, madmage

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 00:00:00 -0000

ros-noetic-rospy (1.15.14-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 00:00:00 -0000

ros-noetic-rospy (1.15.13-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 00:00:00 -0000

ros-noetic-rospy (1.15.12-1focal) focal; urgency=high

  * Document current_real in timer.py (#2178 <https://github.com/ros/ros_comm/issues/2178>)
  * Do not set self.transport unless persistent in ServiceProxy (#2171 <https://github.com/ros/ros_comm/issues/2171>)
  * Fix #2123 <https://github.com/ros/ros_comm/issues/2123>:  Do not raise exception if socket is busy in TCPROSTransport (#2131 <https://github.com/ros/ros_comm/issues/2131>)
  * Contributors: Kevin Chang, Shingo Kitagawa, 金梦磊

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 00:00:00 -0000

ros-noetic-rospy (1.15.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-noetic-rospy (1.15.10-1focal) focal; urgency=high

  * Fix "TypeError: not enough arguments for format string" (#2127 <https://github.com/ros/ros_comm/issues/2127>)
  * Use Logger.warning() instead of the deprecated warn() (#2120 <https://github.com/ros/ros_comm/issues/2120>)
  * Fix AttributeError isAlive (#2092 <https://github.com/ros/ros_comm/issues/2092>)
  * Contributors: Brutus The Tschiepel, mikolajz, 金梦磊

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-rospy (1.15.9-1focal) focal; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Fix error handling with Python 3 (#2050 <https://github.com/ros/ros_comm/issues/2050>)
  * Contributors: Markus Grimm, Sean Yen, Shane Loretz, larslue, salihmarangoz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 00:00:00 -0000

ros-noetic-rospy (1.15.8-1focal) focal; urgency=high

  * remove not existing NodeProxy from rospy __all__ (#2007 <https://github.com/ros/ros_comm/issues/2007>)
  * fix typo in topics.py (#1977 <https://github.com/ros/ros_comm/issues/1977>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 00:00:00 -0000

ros-noetic-rospy (1.15.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 00:00:00 -0000

ros-noetic-rospy (1.15.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-noetic-rospy (1.15.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-rospy (1.15.4-1focal) focal; urgency=high

  * add exception for ConnectionAbortedError (#1908 <https://github.com/ros/ros_comm/issues/1908>)
  * fix mac trying to use epoll instead of kqueue (#1907 <https://github.com/ros/ros_comm/issues/1907>)
  * fix AttributeError: __exit__ (#1915 <https://github.com/ros/ros_comm/issues/1915>, regression from 1.14.4)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 00:00:00 -0000

ros-noetic-rospy (1.15.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 00:00:00 -0000

ros-noetic-rospy (1.15.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 00:00:00 -0000

ros-noetic-rospy (1.15.1-1focal) focal; urgency=high

  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-rospy (1.15.0-1focal) focal; urgency=high

  * fix dictionary changed size during iteration (#1894 <https://github.com/ros/ros_comm/issues/1894>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 00:00:00 -0000

ros-noetic-rospy (1.14.4-1focal) focal; urgency=high

  * add default ROS_MASTER_URI (#1666 <https://github.com/ros/ros_comm/issues/1666>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * reuse xmlrpc connections everywhere (#1471 <https://github.com/ros/ros_comm/issues/1471>)
  * use cached parameter for rosout_disable_topics_generation (#1881 <https://github.com/ros/ros_comm/issues/1881>)
  * add args and kwargs to rospy.log* (#1289 <https://github.com/ros/ros_comm/issues/1289>)
  * add kwargs to internal logging functions (#1290 <https://github.com/ros/ros_comm/issues/1290>)
  * add get_param_cached (#1515 <https://github.com/ros/ros_comm/issues/1515>)
  * more Python 3 compatibility (#1795 <https://github.com/ros/ros_comm/issues/1795>)
  * fix line endings to be LF (#1794 <https://github.com/ros/ros_comm/issues/1794>)
  * use condition attributes to specify Python 2 and 3 dependencies (#1792 <https://github.com/ros/ros_comm/issues/1792>)
  * fix dynamic windowing for Topic Statistics (#1695 <https://github.com/ros/ros_comm/issues/1695>)
  * do not raise socket exception during shutdown (#1720 <https://github.com/ros/ros_comm/issues/1720>)
  * add possibility to pass rospy.Duration as timeout to wait_for_service and wait_for_message (#1703 <https://github.com/ros/ros_comm/issues/1703>)
  * add is_legal_remap() to rosgraph to make remap-detection more precise (#1683 <https://github.com/ros/ros_comm/issues/1683>)
  * add missing comma in the list of strings (#1760 <https://github.com/ros/ros_comm/issues/1760>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * fix error handling for Topic constructor (#1701 <https://github.com/ros/ros_comm/issues/1701>)
  * make sigterm handling Python 3 compatible (#1559 <https://github.com/ros/ros_comm/issues/1559>)
  * update wiki.ros.org URLs (#1536 <https://github.com/ros/ros_comm/issues/1536>)
  * show connection info on rosnode info (#1497 <https://github.com/ros/ros_comm/issues/1497>)
  * import socket, threading in udpros.py (#1494 <https://github.com/ros/ros_comm/issues/1494>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 00:00:00 -0000

ros-noetic-rospy (1.14.3-1focal) focal; urgency=high

  * maintain exception info in RosOutHandler (#1442 <https://github.com/ros/ros_comm/issues/1442>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 00:00:00 -0000

ros-noetic-rospy (1.14.2-1focal) focal; urgency=high

  * fix some errors in some probably not frequented code paths (#1415 <https://github.com/ros/ros_comm/issues/1415>)
  * fix thread problem with get_topics() (#1416 <https://github.com/ros/ros_comm/issues/1416>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 00:00:00 -0000

ros-noetic-rospy (1.14.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-rospy (1.14.0-1focal) focal; urgency=high

  * add API to suppress sequential identical messages (#1309 <https://github.com/ros/ros_comm/issues/1309>)
  * add parameter to stop clients from generating rosout topics list (#1241 <https://github.com/ros/ros_comm/issues/1241>)
  * add rosconsole echo (#1324 <https://github.com/ros/ros_comm/issues/1324>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-rospy (1.13.6-1focal) focal; urgency=high

  * raise the correct exception from AnyMsg.serialize (#1311 <https://github.com/ros/ros_comm/issues/1311>)
  * remove unreachable exceptions (#1260 <https://github.com/ros/ros_comm/issues/1260>)
  * replace Thread.setDaemon() using new API (#1276 <https://github.com/ros/ros_comm/issues/1276>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 00:00:00 -0000

ros-noetic-rospy (1.13.5-1focal) focal; urgency=high

  * fix regresssion from 1.13.3 (#1224 <https://github.com/ros/ros_comm/issues/1224>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 00:00:00 -0000

ros-noetic-rospy (1.13.4-1focal) focal; urgency=high

  * fix uri in message (#1213 <https://github.com/ros/ros_comm/issues/1213>, regression from 1.13.3)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 00:00:00 -0000

ros-noetic-rospy (1.13.3-1focal) focal; urgency=high

  * change rospy.Rate hz type from int to float (#1177 <https://github.com/ros/ros_comm/issues/1177>)
  * use defined error codes rather than hardcoded integers (#1174 <https://github.com/ros/ros_comm/issues/1174>)
  * improve log messages when waiting for service (#1026 <https://github.com/ros/ros_comm/issues/1026>)
  * improve logger tests (#1144 <https://github.com/ros/ros_comm/issues/1144>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-noetic-rospy (1.13.2-1focal) focal; urgency=high

  * fix stack frame identification in rospy logging (#1141 <https://github.com/ros/ros_comm/issues/1141>, regression from 1.13.1)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 00:00:00 -0000

ros-noetic-rospy (1.13.1-1focal) focal; urgency=high

  * improve rospy.logXXX_throttle performance (#1091 <https://github.com/ros/ros_comm/pull/1091>)
  * add option to reset timer when time moved backwards (#1083 <https://github.com/ros/ros_comm/issues/1083>)
  * abort topic lookup on connection refused (#1044 <https://github.com/ros/ros_comm/pull/1044>)
  * add rospy.logXXX_once (#1041 <https://github.com/ros/ros_comm/issues/1041>)
  * remove "ROS time moved backwards" log message (#1027 <https://github.com/ros/ros_comm/pull/1027>)
  * sleep in rospy wait_for_service even if exceptions raised (#1025 <https://github.com/ros/ros_comm/pull/1025>)
  * add named loggers (#948 <https://github.com/ros/ros_comm/pull/948>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-rospy (1.13.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 00:00:00 -0000

ros-noetic-rospy (1.12.7-1focal) focal; urgency=high

  * make get_published_topics threadsafe (#958 <https://github.com/ros/ros_comm/issues/958>)
  * use poll in write_header() if available to support higher numbered fileno (#929 <https://github.com/ros/ros_comm/pull/929>)
  * use epoll instead of poll if available to gracefully close hung connections (#831 <https://github.com/ros/ros_comm/issues/831>)
  * fix Python 3 compatibility issues (#565 <https://github.com/ros/ros_comm/issues/565>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 00:00:00 -0000

ros-noetic-rospy (1.12.6-1focal) focal; urgency=high

  * improve reconnection logic on timeout and other common errors (#851 <https://github.com/ros/ros_comm/pull/851>)
  * remove duplicated function (#783 <https://github.com/ros/ros_comm/pull/783>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 00:00:00 -0000

ros-noetic-rospy (1.12.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 00:00:00 -0000

ros-noetic-rospy (1.12.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-noetic-rospy (1.12.3-1focal) focal; urgency=high

  * raise error on rospy.init_node with None or empty node name string (#895 <https://github.com/ros/ros_comm/pull/895>)
  * fix wrong type in docstring for rospy.Timer (#878 <https://github.com/ros/ros_comm/pull/878>)
  * fix order of init and publisher in example (#873 <https://github.com/ros/ros_comm/pull/873>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 00:00:00 -0000

ros-noetic-rospy (1.12.2-1focal) focal; urgency=high

  * add logXXX_throttle functions (#812 <https://github.com/ros/ros_comm/pull/812>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 00:00:00 -0000

ros-noetic-rospy (1.12.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 00:00:00 -0000

ros-noetic-rospy (1.12.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-noetic-rospy (1.11.18-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 00:00:00 -0000

ros-noetic-rospy (1.11.17-1focal) focal; urgency=high

  * preserve identity of numpy_msg(T) (#758 <https://github.com/ros/ros_comm/pull/758>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 00:00:00 -0000

ros-noetic-rospy (1.11.16-1focal) focal; urgency=high

  * catch ROSInterruptException from rospy timers when shutting down (#690 <https://github.com/ros/ros_comm/pull/690>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 00:00:00 -0000

ros-noetic-rospy (1.11.15-1focal) focal; urgency=high

  * validate name after remapping (#669 <https://github.com/ros/ros_comm/pull/669>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 00:00:00 -0000

ros-noetic-rospy (1.11.14-1focal) focal; urgency=high

  * fix memory/thread leak with QueuedConnection (#661 <https://github.com/ros/ros_comm/pull/661>)
  * fix signaling already shutdown to client hooks with the appropriate signature (#651 <https://github.com/ros/ros_comm/issues/651>)
  * fix bug with missing current logger levels (#631 <https://github.com/ros/ros_comm/pull/631>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-noetic-rospy (1.11.13-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 00:00:00 -0000

ros-noetic-rospy (1.11.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 00:00:00 -0000

ros-noetic-rospy (1.11.11-1focal) focal; urgency=high

  * add rosconsole command line tool to change logger levels (#576 <https://github.com/ros/ros_comm/pull/576>)
  * add accessor for remaining time of the Rate class (#588 <https://github.com/ros/ros_comm/pull/588>)
  * fix high latency when using asynchronous publishing (#547 <https://github.com/ros/ros_comm/issues/547>)
  * fix error handling when publishing on Empty topic (#566 <https://github.com/ros/ros_comm/pull/566>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 00:00:00 -0000

ros-noetic-rospy (1.11.10-1focal) focal; urgency=high

  * add specific exception for time jumping backwards (#485 <https://github.com/ros/ros_comm/issues/485>)
  * make param functions thread-safe (#523 <https://github.com/ros/ros_comm/pull/523>)
  * fix infinitely retrying subscriber (#533 <https://github.com/ros/ros_comm/issues/533>)
  * fix removal of QueuedConnection leading to wrong subscriber count (#526 <https://github.com/ros/ros_comm/issues/526>)
  * fix TCPROS header validation when callerid header is not set (#522 <https://github.com/ros/ros_comm/issues/522>, regression from 1.11.1)
  * fix memory leak when using subcriber statistics (#520 <https://github.com/ros/ros_comm/issues/520>)
  * fix reported traffic in bytes from Python nodes (#501 <https://github.com/ros/ros_comm/issues/501>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 00:00:00 -0000

ros-noetic-rospy (1.11.9-1focal) focal; urgency=high

  * populate delivered_msgs field of TopicStatistics message (#486 <https://github.com/ros/ros_comm/issues/486>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-noetic-rospy (1.11.8-1focal) focal; urgency=high

  * fix topic/connection statistics reporting code (#482 <https://github.com/ros/ros_comm/issues/482>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 00:00:00 -0000

ros-noetic-rospy (1.11.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 00:00:00 -0000

ros-noetic-rospy (1.11.6-1focal) focal; urgency=high

  * make MasterProxy thread-safe (#459 <https://github.com/ros/ros_comm/issues/459>)
  * check ROS_HOSTNAME for localhost / ROS_IP for 127./::1 and prevent connections from other hosts in that case (#452 <https://github.com/ros/ros_comm/issues/452>)_

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 00:00:00 -0000

ros-noetic-rospy (1.11.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-noetic-rospy (1.11.4-1focal) focal; urgency=high

  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 00:00:00 -0000

ros-noetic-rospy (1.11.3-1focal) focal; urgency=high

  * allow shutdown hooks to be any callable object (#410 <https://github.com/ros/ros_comm/issues/410>)
  * add demux program and related scripts (#407 <https://github.com/ros/ros_comm/issues/407>)
  * add publisher queue_size to rostopic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 00:00:00 -0000

ros-noetic-rospy (1.11.2-1focal) focal; urgency=high

  * use publisher queue_size for statistics (#398 <https://github.com/ros/ros_comm/issues/398>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 00:00:00 -0000

ros-noetic-rospy (1.11.1-1focal) focal; urgency=high

  * improve asynchonous publishing performance (#373 <https://github.com/ros/ros_comm/issues/373>)
  * add warning when queue_size is omitted for rospy publisher (#346 <https://github.com/ros/ros_comm/issues/346>)
  * add optional topic/connection statistics (#398 <https://github.com/ros/ros_comm/issues/398>)
  * add transport information in SlaveAPI::getBusInfo() for roscpp & rospy (#328 <https://github.com/ros/ros_comm/issues/328>)
  * allow custom error handlers for services (#375 <https://github.com/ros/ros_comm/issues/375>)
  * add architecture_independent flag in package.xml (#391 <https://github.com/ros/ros_comm/issues/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-noetic-rospy (1.11.0-1focal) focal; urgency=high

  * fix exception handling for queued connections (#369 <https://github.com/ros/ros_comm/issues/369>)
  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-noetic-rospy (1.10.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 00:00:00 -0000

ros-noetic-rospy (1.9.54-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 00:00:00 -0000

ros-noetic-rospy (1.9.53-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 00:00:00 -0000

ros-noetic-rospy (1.9.52-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-noetic-rospy (1.9.51-1focal) focal; urgency=high

  * implement optional queueing for rospy publications (#169 <https://github.com/ros/ros_comm/issues/169>)
  * overwrite __repr__ for rospy.Duration and Time (ros/genpy#24 <https://github.com/ros/genpy/issues/24>)
  * add missing dependency on roscpp

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-noetic-rospy (1.9.50-1focal) focal; urgency=high

  * add support for python coverage tool to work in callbacks

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-noetic-rospy (1.9.49-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 00:00:00 -0000

ros-noetic-rospy (1.9.48-1focal) focal; urgency=high

  * make rospy nodes killable while waiting for master (#262 <https://github.com/ros/ros_comm/issues/262>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-noetic-rospy (1.9.47-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 00:00:00 -0000

ros-noetic-rospy (1.9.46-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 00:00:00 -0000

ros-noetic-rospy (1.9.45-1focal) focal; urgency=high

  * add missing run_depend on python-yaml
  * allow configuration of ports for XML RPCs and TCP ROS
  * fix race condition where rospy subscribers do not connect to all publisher
  * fix closing and deregistering connection when connect fails (#128 <https://github.com/ros/ros_comm/issues/128>)
  * fix log level of RosOutHandler (#210 <https://github.com/ros/ros_comm/issues/210>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-noetic-rospy (1.9.44-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-noetic-rospy (1.9.43-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 00:00:00 -0000

ros-noetic-rospy (1.9.42-1focal) focal; urgency=high

  * make dependencies on rospy optional by refactoring RosStreamHandler to rosgraph (#179 <https://github.com/ros/ros_comm/issues/179>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-noetic-rospy (1.9.41-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 00:00:00 -0000

ros-noetic-rospy (1.9.40-1focal) focal; urgency=high

  * add colorization for rospy log output (#3691 <https://code.ros.org/trac/ros/ticket/3691>)
  * fix socket polling under Windows (#3959 <https://code.ros.org/trac/ros/ticket/3959>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-noetic-rospy (1.9.39-1focal) focal; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 00:00:00 -0000


